<?

include_once("include/sesi.php");


/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
$privs = @file("MySql/base123/msg/$log.msg");
$totals = count($privs);
if($totals==""){ $totals="0"; }
////////////////////////////////////////////////////////
if(@file("MySql/base123/wml/$log.dat")){

echo '<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><title>Lineage2</title></head>
<link rel="stylesheet" href="/img/wml.css" type="text/css" /><div class="pages">';}else{
echo '<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><title>Lineage2</title></head>
<link rel="stylesheet" href="/img/style.css" type="text/css" /><div class="up"></div><div class="body">'; include 'include/sneg.php';}

////////////////////////////////////////////////////////
if (isset($user)) {
include 'include/udata.php';
list($msec,$sec)=explode(chr(32),microtime());
$gtime=$sec+$msec;
////////////////////////////////////////////////////////
$keys=mysql_query("SELECT * FROM `table_key` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($keys)==1){
echo"Ваш акаунт не активирован. Для активации перейдите на эмейл указанный при регистрации"; include 'include/nogi'; exit;}
$block=mysql_query("SELECT * FROM `table_block` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($block)==1){
$user = mysql_fetch_array($block);
$pr = $user['pricina'];
echo"Вы заблокированы причина: ".$pr.""; include 'include/nogi.php'; exit;}
include("include/check2.php");
include("include/opit.php");
include("include/lvl.php");
include_once("include/wineventfish.php");
if($udata[34]=="0"){
echo"<a href=\"search.php?$sd&go=go&nick=$log\">$log</a> [$udata[9]]<br/>";
echo"<img src=\"cp.php?$sd\" alt=\"CP: $udata[42]/$udata[43]\"/><br/>";
echo"<img src=\"hp.php?$sd\" alt=\"HP: $udata[16]/$udata[17]\"/><br/>";
echo"<img src=\"mp.php?$sd\" alt=\"MP: $udata[29]/$udata[30]\"/><br/>";
echo"<img src=\"exp.php?$sd\" alt=\"EXP: $exp %\"/><br/>";
$data=date("d F, Y");
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
echo"Время: ".date("H:i:s")."<br/>";
echo"Дата: $data<br/>";
}else{
$data=date("d F, Y");
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$time=date("H:i:s");
echo"<a href=\"search.php?$sd&go=go&nick=$log\">$log</a> [$udata[9]]<br/>
<font color=\"#ADFF2F\">CP: $udata[42]/$udata[43]</font><br/>
<font color=\"#FF0000\">HP: $udata[16]/$udata[17]</font><br/>
<font color=\"#6495ED\">MP: $udata[29]/$udata[30]</font><br/>
EXP: $exp %<br/>
Время: $time<br/>
Дата: $data</small><br/>";
}
//////////////////////////РЫБАЛКА//////////////////////////////
///////////////////////////////БОЙ/////////////////////////
$adres = $_SERVER['SCRIPT_NAME'];
if($adres!=="/inventar.php" && $adres!=="/itemweapon.php" && $adres!=="/itemshlem.php" && $adres!=="/itemhelmets.php" && $adres!=="/itemnogi.php" && $adres!=="/itemlek.php" && $adres!=="/itemall.php")
//////////////////////////////ПАТИ//////////////////////////
$fa = @file("MySql/base123/reg/$log.dat");
$a = explode(":||:",$fa[0]);
if(!empty($a[25])){
$fa = @file("MySql/base123/paty/$a[25].dat");
$ax = explode(":||:",$fa[0]);
if($ax[2]=="yes"){
echo"<b>Вы в пати с <a href=\"search.php?$sd&nick=$a[25]&go=go\">$a[25]</a>.<br/><a href=\"paty.php?go=del&$sd\">Выйти из пати</a><br/></small></b>";
$text = @file("MySql/base123/reg/$a[25].dat");
$dattas = explode(":||:",$text[0]);
echo"<b>CP - $dattas[42]/$dattas[43]</b><br/>";
echo"<b>HP - $dattas[16]/$dattas[17]</b><br/>";
echo"<b>MP - $dattas[29]/$dattas[30]</b><br/>";
}}
if(@file("MySql/base123/paty/tmp/$log.dat")){
$fa = @file("MySql/base123/paty/tmp/$log.dat");
$uu = explode(":||:",$fa[0]);
if($uu[2]=="time"){
echo"<b>$uu[0] - $uu[1] (lvl) предлагает вам пати.<br/><a href=\"paty.php?go=ok&$sd\">Да</a> | <a href=\"paty.php?go=no&$sd\">Нет</a><br/><br/></b></small>";}}


if(@file("MySql/base123/paty/$log.dat")){
$fa = @file("MySql/base123/paty/$log.dat");
$ua = explode(":||:",$fa[0]);

if($ua[2]=="yes"){echo"<b>Вы в пати с <a href=\"search.php?$sd&nick=$ua[0]&go=go\">$ua[0]</a>- $ua[1] (lvl)</small>. <br/><a href=\"paty.php?go=del&$sd\">Выйти из пати</a></small></b><br/>";$text = @file("MySql/base123/reg/$ua[0].dat");
$dattas2 = explode(":||:",$text[0]);
echo"<b>CP - $dattas2[42]/$dattas2[43]</b><br/>";
echo"<b>HP - $dattas2[16]/$dattas2[17]</b><br/>";
echo"<b>MP - $dattas2[29]/$dattas2[30]</b><br/>";
}
}
////////////////////////////////КАРТИНКИ///////////////////////////////////
if($udata[34]=="1"){
function img2($image2) {return eregi_replace("((<img src)[-a-zA-Z0-9@:%_\+.~#?;&//=\)/\"\ >]+)","", $image2);} ob_start("img2");
function img($image) {return eregi_replace("((<img src)[-a-zA-Z0-9@:%_\+.~#?;&//=\)/\"\ >]+<br/>)","", $image);} ob_start("img");
}
////////////////////////////////КЛАНЫ///////////////////////////////////
if($udata[22]>="1"){echo"<b>Вам пришла почта($udata[22])</b><br/>"; echo"<a href=\"privat.php?$sd\">Прочитать.</a><br/><br/></small>";}
if(@file("MySql/base123/clan/tmp/$log.dat")){
$fa = @file("MySql/base123/clan/tmp/$log.dat");
$clan = explode(":||:",$fa[0]);
echo"<b>Лидер клана $clan[0] предлагает вступить в клан $clan[2]. Вы согласны?<br/><a href=\"clan.php?go=del&$sd&go=ok&uzer=$clan[0]\">Да</a> | <a href=\"clan.php?go=del&$sd&go=del\">Нет</a><br/><br/></small></b>";
}
////////////////////////////////АЛЬЯНС///////////////////////////////////
if(@file("MySql/base123/ali/tmp/$log.dat")){
$fa = @file("MySql/base123/ali/tmp/$log.dat");
$clan = explode(":||:",$fa[0]);
echo"<b>Лидер альянса $clan[0] предлагает вступить в альянс. Вы согласны?<br/><a href=\"ali.php?go=del&$sd&go=ok&uzer=$clan[0]\">Да</a> | <a href=\"ali.php?go=del&$sd&go=del\">Нет</a><br/><br/></small></b>";
}
///////////////////////Продажа///////////////////////////////////////////////
if(@file("MySql/base123/sellruk/$log.dat")){echo"<br/>Вы продаете вещи! Вы не можете уйти!<br/><a href=\"sellruktime.php?$sd\">Вернуться</a></small>"; include_once"include/down.php"; exit;}
//////////////////////////////БАФФЫ////////////////////////////////////////
if(@file("MySql/base123/baff/$log.dat")){
$file = @file("MySql/base123/baff/$log.dat");
$total = count($file);
for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-1800;
$ost=$data[2]-$time;
$ost2=@date("i",$ost);
echo"<small>$data[0] - $ost2 минут</small><br/>";

if($data[2]<="$time"){

$fal = @file("MySql/base123/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

if($data[0]=="armor"){
$udata[3]=$udata[3]-$data[1];}
if($data[0]=="weapon"){
$udata[4]=$udata[4]-$data[1];}

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("MySql/base123/reg/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=fopen("MySql/base123/baff/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

}}
echo"<hr>";}

///////////////////////////////////////////////////////////////////////////////
echo"<br/>";}

?>

